EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EMF::OBJECT Class Referenceabstract

Global GDI object. More...

`#include <libemf.h>`

Inheritance diagram for EMF::OBJECT:

## Public Member Functions
virtual | ~OBJECT ()
| OBJECTs have a virtual destructor.
| OBJECT (void)
virtual OBJECTTYPE | getType (void) const =0

## Public Attributes
HGDIOBJ | handle

## Detailed Description

Global GDI object.

The GDI interface defines objects in terms of handles (rather than pointers). In order to emulate this, each object is placed into a global list and the index in that list becomes their handle.

## Constructor & Destructor Documentation

EMF::OBJECT::OBJECT | ( | void |  | ) |
| inline

Create a new object. It's up to a subclass to create a real handle for this object.

## Member Function Documentation

virtual OBJECTTYPE EMF::OBJECT::getType | ( | void |  | ) | const
| pure virtual

Return the type of the object.

Implemented in EMF::METAFILEDEVICECONTEXT, EMF::PALETTE, EMF::FONT, EMF::BRUSH, EMF::EXTPEN, and EMF::PEN.

## Member Data Documentation

HGDIOBJ EMF::OBJECT::handle

The handle of a GDI object.

The documentation for this class was generated from the following file:

- libemf.h